package com.gic.haoban.manage.api.dto.qdto.licence;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */

public class AppOrderPageQDTO extends BasePageInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 订单状态1 - 待支付2 - 已支付3 - 订单取消4 - 支付过期5 - 退款申请中6 - 已退款7 - 交易完成8 - 待企业确认9 - 已部分退款
     */
    private Integer orderStatus;
    /**
     * 企业微信订单id
     */
    private String orderId;
    /**
     * wx企业Id
     */
    private String wxEnterpriseId;

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
}
